Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029647
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajorsometimes2015-04-21 11:012015-05-27 00:39
ReporterioritzCiaView Statuspublic 
Assigned Toeduardo_Argal 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionc1e975b2a1cb
ProjectionnoneETAnoneTarget Version3.0PR15Q3
OSLinux 64 bitDatabasePostgreSQLJava version6
OS VersionUbuntu 14.04Database version9.3Ant version
Product Version3.0PR15Q1SCM revision 
Review Assigned Tovmromanos
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029647: Trial Balance Report is sometimes really slow

DescriptionThere is sometimes where the trial balance report takes more than two minutes to execute.

You can find attached two times that happened in the log with the parameters used. It is not strange to find this query in the log taking more than 2 minutes.

We have a clone of the instance.
Steps To ReproduceExecute the query with similar parameters in the clone instance.
TagsPerformance
Attached Fileslog file icon TrialBalance.log [^] (15,185 bytes) 2015-04-21 11:01

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0077744)
hgbot (developer)
2015-05-26 10:19

Repository: erp/devel/pi
Changeset: c1e975b2a1cb3dbe10a016bfa30ab01b1271ef56
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Thu May 14 20:09:22 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c1e975b2a1cb3dbe10a016bfa30ab01b1271ef56 [^]

Fixes issue 29647: Trial Balance Report is sometimes really slow Query refactored to improve performance

---
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalance.java
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalance_data.xsql
---
(0077745)
vmromanos (developer)
2015-05-26 10:19

Code review + testing OK
(0077778)
hudsonbot (developer)
2015-05-27 00:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2ac0a8fe23d2 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-04-21 11:01 ioritzCia New Issue
2015-04-21 11:01 ioritzCia Assigned To => Triage Finance
2015-04-21 11:01 ioritzCia File Added: TrialBalance.log
2015-04-21 11:01 ioritzCia Web browser => Google Chrome
2015-04-21 11:01 ioritzCia Modules => Core
2015-04-21 11:01 ioritzCia Triggers an Emergency Pack => No
2015-04-21 11:05 ioritzCia Tag Attached: Performance
2015-04-22 10:19 jonalegriaesarte Web browser Google Chrome => Google Chrome
2015-04-22 10:19 jonalegriaesarte Target Version => 3.0PR15Q3
2015-04-28 15:53 shuehner Issue Monitored: shuehner
2015-05-04 19:12 ngarcia Issue Monitored: ngarcia
2015-05-14 11:51 eduardo_Argal Assigned To Triage Finance => eduardo_Argal
2015-05-14 11:51 eduardo_Argal Status new => scheduled
2015-05-26 10:19 hgbot Checkin
2015-05-26 10:19 hgbot Note Added: 0077744
2015-05-26 10:19 hgbot Status scheduled => resolved
2015-05-26 10:19 hgbot Resolution open => fixed
2015-05-26 10:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c1e975b2a1cb3dbe10a016bfa30ab01b1271ef56 [^]
2015-05-26 10:19 vmromanos Review Assigned To => vmromanos
2015-05-26 10:19 vmromanos Note Added: 0077745
2015-05-26 10:19 vmromanos Status resolved => closed
2015-05-27 00:39 hudsonbot Checkin
2015-05-27 00:39 hudsonbot Note Added: 0077778


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker